// Garden Gnome Software - Skin
// Pano2VR 4.0/3102
// Filename: text_box.ggsk
// Generated Tue Mar 12 13:19:46 2013

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		this._text_box_bg=document.createElement('div');
		this._text_box_bg.ggId='text_box_bg';
		this._text_box_bg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_box_bg.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 168px;';
		hs+='top:  54px;';
		hs+='width: 234px;';
		hs+='height: 228px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 4px solid #000000;';
		hs+='border-radius: 15px;';
		hs+=cssPrefix + 'border-radius: 15px;';
		hs+='background-image:url(' + basePath + 'images/alpha_background_000000_150.png);';
		this._text_box_bg.setAttribute('style',hs);
		this._mask=document.createElement('div');
		this._mask.ggId='mask';
		this._mask.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._mask.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 5px;';
		hs+='top:  10px;';
		hs+='width: 200px;';
		hs+='height: 210px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='overflow: hidden;';
		this._mask.setAttribute('style',hs);
		this._slider=document.createElement('div');
		this._slider.ggId='slider';
		this._slider.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._slider.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: 200px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._slider.setAttribute('style',hs);
		this._info_text_01=document.createElement('div');
		this._info_text_01.ggId='info_text_01';
		this._info_text_01.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._info_text_01.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 200px;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: pre-wrap;';
		hs+='white-space: pre-wrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._info_text_01.setAttribute('style',hs);
		this._info_text_01.innerHTML="This is a remap of the panorama to an Angular Map (Little Planet)";
		this._slider.appendChild(this._info_text_01);
		this._image_01=document.createElement('div');
		this._image_01.ggId='image_01';
		this._image_01.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_01.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  50px;';
		hs+='width: 200px;';
		hs+='height: 200px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_01.setAttribute('style',hs);
		this._image_01__img=document.createElement('img');
		this._image_01__img.setAttribute('src',basePath + 'img_01.png');
		this._image_01__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._image_01__img);
		this._image_01.appendChild(this._image_01__img);
		this._slider.appendChild(this._image_01);
		this._info_text_02=document.createElement('div');
		this._info_text_02.ggId='info_text_02';
		this._info_text_02.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._info_text_02.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  254px;';
		hs+='width: 200px;';
		hs+='height: auto;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: left;';
		hs+='white-space: pre-wrap;';
		hs+='white-space: pre-wrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._info_text_02.setAttribute('style',hs);
		this._info_text_02.innerHTML="This is the panorama remapped  to a Rectilinear projection (Default View)";
		this._slider.appendChild(this._info_text_02);
		this._image_02=document.createElement('div');
		this._image_02.ggId='image_02';
		this._image_02.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._image_02.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  305px;';
		hs+='width: 200px;';
		hs+='height: 200px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._image_02.setAttribute('style',hs);
		this._image_02__img=document.createElement('img');
		this._image_02__img.setAttribute('src',basePath + 'img_02.jpg');
		this._image_02__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._image_02__img);
		this._image_02.appendChild(this._image_02__img);
		this._slider.appendChild(this._image_02);
		this._mask.appendChild(this._slider);
		this._text_box_bg.appendChild(this._mask);
		this._top=document.createElement('div');
		this._top.ggId='top';
		this._top.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._top.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 213px;';
		hs+='top:  10px;';
		hs+='width: 13px;';
		hs+='height: 28px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 2px solid #000000;';
		hs+='background-color: #ffffff;';
		this._top.setAttribute('style',hs);
		this._top.onmouseout=function () {
			me.elementMouseDown['top']=false;
		}
		this._top.onmousedown=function () {
			me.elementMouseDown['top']=true;
		}
		this._top.onmouseup=function () {
			me.elementMouseDown['top']=false;
		}
		this._top.ontouchend=function () {
			me.elementMouseDown['top']=false;
		}
		this._text_box_bg.appendChild(this._top);
		this._bottom=document.createElement('div');
		this._bottom.ggId='bottom';
		this._bottom.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._bottom.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 213px;';
		hs+='top:  187px;';
		hs+='width: 13px;';
		hs+='height: 28px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		hs+='border: 2px solid #000000;';
		hs+='background-color: #ffffff;';
		this._bottom.setAttribute('style',hs);
		this._bottom.onmouseout=function () {
			me.elementMouseDown['bottom']=false;
		}
		this._bottom.onmousedown=function () {
			me.elementMouseDown['bottom']=true;
		}
		this._bottom.onmouseup=function () {
			me.elementMouseDown['bottom']=false;
		}
		this._bottom.ontouchend=function () {
			me.elementMouseDown['bottom']=false;
		}
		this._text_box_bg.appendChild(this._bottom);
		this.divSkin.appendChild(this._text_box_bg);
		this._change_content=document.createElement('div');
		this._change_content.ggId='change content';
		this._change_content.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._change_content.ggVisible=true;
		this._change_content.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-94 + w) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-38 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -94px;';
		hs+='top:  -38px;';
		hs+='width: 36px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #ffffff;';
		this._change_content.setAttribute('style',hs);
		this._change_content.onclick=function () {
			me._info_text_01.innerHTML="Now this is the panorama remapped  to a Rectilinear projection (Default View)";
			if (me._info_text_01.ggUpdateText) {
				me._info_text_01.ggUpdateText=function() {
					me._info_text_01.innerHTML="Now this is the panorama remapped  to a Rectilinear projection (Default View)";
				}
			}
			me._image_01__img.src="img_02.jpg";
			if (me._image_01.ggUpdateText) {
				me._image_01.ggUpdateText=function() {
					me._image_01__img.src="img_02.jpg";
				}
			}
			me._info_text_02.innerHTML="And this is now the panorama remapped to the Angular Map (Little Planet)";
			if (me._info_text_02.ggUpdateText) {
				me._info_text_02.ggUpdateText=function() {
					me._info_text_02.innerHTML="And this is now the panorama remapped to the Angular Map (Little Planet)";
				}
			}
			me._image_02__img.src="img_01.png";
			if (me._image_02.ggUpdateText) {
				me._image_02.ggUpdateText=function() {
					me._image_02__img.src="img_01.png";
				}
			}
		}
		this.divSkin.appendChild(this._change_content);
		this._change_content_back=document.createElement('div');
		this._change_content_back.ggId='change content back';
		this._change_content_back.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._change_content_back.ggVisible=true;
		this._change_content_back.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-47 + w) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-38 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -47px;';
		hs+='top:  -38px;';
		hs+='width: 36px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 1px solid #000000;';
		hs+='border-radius: 999px;';
		hs+=cssPrefix + 'border-radius: 999px;';
		hs+='background-color: #ffffff;';
		this._change_content_back.setAttribute('style',hs);
		this._change_content_back.onclick=function () {
			me._info_text_01.innerHTML="This is a remap of the panorama to an Angular Map (Little Planet)";
			if (me._info_text_01.ggUpdateText) {
				me._info_text_01.ggUpdateText=function() {
					me._info_text_01.innerHTML="This is a remap of the panorama to an Angular Map (Little Planet)";
				}
			}
			me._image_01__img.src="img_01.png";
			if (me._image_01.ggUpdateText) {
				me._image_01.ggUpdateText=function() {
					me._image_01__img.src="img_01.png";
				}
			}
			me._info_text_02.innerHTML="This is the panorama remapped  to a Rectilinear projection (Default View)";
			if (me._info_text_02.ggUpdateText) {
				me._info_text_02.ggUpdateText=function() {
					me._info_text_02.innerHTML="This is the panorama remapped  to a Rectilinear projection (Default View)";
				}
			}
			me._image_02__img.src="img_02.jpg";
			if (me._image_02.ggUpdateText) {
				me._image_02.ggUpdateText=function() {
					me._image_02__img.src="img_02.jpg";
				}
			}
		}
		this.divSkin.appendChild(this._change_content_back);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		if (me.elementMouseDown['top']) {
			if (me.player.transitionsDisabled) {
				me._slider.style[domTransition]='none';
			} else {
				me._slider.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._slider.ggParameter.rx+=0;me._slider.ggParameter.ry+=2;
			if (me._slider.ggParameter.ry>0) me._slider.ggParameter.ry=0;
			me._slider.style[domTransform]=parameterToTransform(me._slider.ggParameter);
		}
		if (me.elementMouseDown['bottom']) {
			if (me.player.transitionsDisabled) {
				me._slider.style[domTransition]='none';
			} else {
				me._slider.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._slider.ggParameter.rx+=0;me._slider.ggParameter.ry+=-2;
			if (me._slider.ggParameter.ry<-300) me._slider.ggParameter.ry=-300;
			me._slider.style[domTransform]=parameterToTransform(me._slider.ggParameter);
		}
	};
	this.addSkin();
};